Package org.jboss.resteasy.plugins.providers.jaxb.fastinfoset

## Class FastinfoSetUnmarshaller

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.jaxb.fastinfoset.FastinfoSetUnmarshaller

- All Implemented Interfaces:
    `Unmarshaller`

      public class FastinfoSetUnmarshaller
      extends Object
      implements Unmarshaller

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.xml.bind.Unmarshaller

      `Unmarshaller.Listener`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FastinfoSetUnmarshaller​(JAXBContext context)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<A extends XmlAdapter> A` | `getAdapter​(Class<A> aClass)` |
    `AttachmentUnmarshaller` | `getAttachmentUnmarshaller()` |
    `ValidationEventHandler` | `getEventHandler()` |
    `protected static XMLStreamReader` | `getFastinfoSetXMLStreamReader​(InputStream entityStream)` |
    `Unmarshaller.Listener` | `getListener()` |
    `Object` | `getProperty​(String s)` |
    `Schema` | `getSchema()` |
    `UnmarshallerHandler` | `getUnmarshallerHandler()` |
    `boolean` | `isValidating()` |
    `<A extends XmlAdapter> void` | `setAdapter​(Class<A> aClass, A a)` |
    `void` | `setAdapter​(XmlAdapter xmlAdapter)` |
    `void` | `setAttachmentUnmarshaller​(AttachmentUnmarshaller attachmentUnmarshaller)` |
    `void` | `setEventHandler​(ValidationEventHandler validationEventHandler)` |
    `void` | `setListener​(Unmarshaller.Listener listener)` |
    `void` | `setProperty​(String s, Object o)` |
    `void` | `setSchema​(Schema schema)` |
    `void` | `setValidating​(boolean b)` |
    `Object` | `unmarshal​(File file)` |
    `Object` | `unmarshal​(InputStream inputStream)` |
    `Object` | `unmarshal​(Reader reader)` |
    `Object` | `unmarshal​(URL url)` |
    `Object` | `unmarshal​(XMLEventReader xmlEventReader)` |
    `<T> JAXBElement<T>` | `unmarshal​(XMLEventReader xmlEventReader, Class<T> tClass)` |
    `Object` | `unmarshal​(XMLStreamReader xmlStreamReader)` |
    `<T> JAXBElement<T>` | `unmarshal​(XMLStreamReader xmlStreamReader, Class<T> tClass)` |
    `Object` | `unmarshal​(Source source)` |
    `<T> JAXBElement<T>` | `unmarshal​(Source source, Class<T> tClass)` |
    `Object` | `unmarshal​(Node node)` |
    `<T> JAXBElement<T>` | `unmarshal​(Node node, Class<T> tClass)` |
    `Object` | `unmarshal​(InputSource inputSource)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastinfoSetUnmarshaller

          public FastinfoSetUnmarshaller​(JAXBContext context)
                                  throws JAXBException

      Throws:
        `JAXBException`

  - ### Method Detail

    - #### getFastinfoSetXMLStreamReader

          protected static XMLStreamReader getFastinfoSetXMLStreamReader​(InputStream entityStream)

    - #### unmarshal

          public Object unmarshal​(File file)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(InputStream inputStream)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(Reader reader)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(URL url)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(InputSource inputSource)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(Node node)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public <T> JAXBElement<T> unmarshal​(Node node,
                                              Class<T> tClass)
                                       throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(Source source)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public <T> JAXBElement<T> unmarshal​(Source source,
                                              Class<T> tClass)
                                       throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(XMLStreamReader xmlStreamReader)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public <T> JAXBElement<T> unmarshal​(XMLStreamReader xmlStreamReader,
                                              Class<T> tClass)
                                       throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal​(XMLEventReader xmlEventReader)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public <T> JAXBElement<T> unmarshal​(XMLEventReader xmlEventReader,
                                              Class<T> tClass)
                                       throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### getUnmarshallerHandler

          public UnmarshallerHandler getUnmarshallerHandler()

      Specified by:
        `getUnmarshallerHandler` in interface `Unmarshaller`

    - #### setValidating

          public void setValidating​(boolean b)
                             throws JAXBException

      Specified by:
        `setValidating` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### isValidating

          public boolean isValidating()
                               throws JAXBException

      Specified by:
        `isValidating` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### setEventHandler

          public void setEventHandler​(ValidationEventHandler validationEventHandler)
                               throws JAXBException

      Specified by:
        `setEventHandler` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### getEventHandler

          public ValidationEventHandler getEventHandler()
                                                 throws JAXBException

      Specified by:
        `getEventHandler` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### setProperty

          public void setProperty​(String s,
                                  Object o)
                           throws PropertyException

      Specified by:
        `setProperty` in interface `Unmarshaller`
      Throws:
        `PropertyException`

    - #### getProperty

          public Object getProperty​(String s)
                             throws PropertyException

      Specified by:
        `getProperty` in interface `Unmarshaller`
      Throws:
        `PropertyException`

    - #### setSchema

          public void setSchema​(Schema schema)

      Specified by:
        `setSchema` in interface `Unmarshaller`

    - #### getSchema

          public Schema getSchema()

      Specified by:
        `getSchema` in interface `Unmarshaller`

    - #### setAdapter

          public void setAdapter​(XmlAdapter xmlAdapter)

      Specified by:
        `setAdapter` in interface `Unmarshaller`

    - #### setAdapter

          public <A extends XmlAdapter> void setAdapter​(Class<A> aClass,
                                                        A a)

      Specified by:
        `setAdapter` in interface `Unmarshaller`

    - #### getAdapter

          public <A extends XmlAdapter> A getAdapter​(Class<A> aClass)

      Specified by:
        `getAdapter` in interface `Unmarshaller`

    - #### setAttachmentUnmarshaller

          public void setAttachmentUnmarshaller​(AttachmentUnmarshaller attachmentUnmarshaller)

      Specified by:
        `setAttachmentUnmarshaller` in interface `Unmarshaller`

    - #### getAttachmentUnmarshaller

          public AttachmentUnmarshaller getAttachmentUnmarshaller()

      Specified by:
        `getAttachmentUnmarshaller` in interface `Unmarshaller`

    - #### setListener

          public void setListener​(Unmarshaller.Listener listener)

      Specified by:
        `setListener` in interface `Unmarshaller`

    - #### getListener

          public Unmarshaller.Listener getListener()

      Specified by:
        `getListener` in interface `Unmarshaller`